; Findpxl routine by Frank Y.
; pyrosoft.distanthost.com
;
; usage:
; move.w x_coord,d5
; move.w y_coord,d6
; bsr findpxl
; bchg.b d5,(a0)
; it will change the bit at x,y coords like in TI-BASIC
findpxl:            			; param:d5.w=x,d6.w=y output:a0=addr,d5.w=bit
	lea	LCD_MEM,a0		; point to screen
	mulu.w	#30,d6			; y coord*30 (30 bytes/row)
	add.w	d6,a0			; add to mem pointer
	move.b	d5,d7			; store x for modulus
	lsr.b	#3,d5			; integer divide by 8
	add.w	d5,a0			; add to mem pointer
	lsl.b	#3,d5			; multiply by 8 to get bit start
	sub.b	d5,d7			; find offset
	move.b	#7,d5			; load 8-1 to temp
	sub.b	d7,d5			; reverse; compensate for high-endian
	rts